
Foreman - Feature #31431

Use Puma 5.1's feature to synthesize systemd socket binds

12/02/2020 12:23 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/6083,

https://github.com/theforeman/foreman/p

ull/8171

  

Description

Puma 5.1 introduced a feature (after I contributed it) to synthesize binds for systemd activated sockets. This removes the need to

duplicate the FOREMAN_BIND in two places (foreman.socket and foreman.service).

Related issues:

Related to Foreman - Feature #32238: Bind systemd socket activation to IPv6 Closed

Associated revisions

Revision aecc3187 - 01/08/2021 01:40 PM - Ewoud Kohl van Wijngaarden

Fixes #31431 - Update to Puma ~> 5.1

Puma 5.1 introduced a feature to synthesize binds for systemd activated

sockets. This removes the need to duplicate the FOREMAN_BIND in two

places (foreman.socket and foreman.service).

puma-plugin-systemd is no longer needed since Puma 5.1 gained native

support for systemd.

Revision bff97cd7 - 01/08/2021 07:17 PM - Ewoud Kohl van Wijngaarden

Refs #31431 - Update rubygem-puma to 5.1.1

History

#1 - 12/02/2020 12:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8171 added

#2 - 12/02/2020 12:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/6083 added

#3 - 01/08/2021 01:40 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#4 - 01/08/2021 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|aecc3187253ada61a311b5229d215452bd6d67b7.

#5 - 03/31/2021 09:35 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #32238: Bind systemd socket activation to IPv6 added
